#include <iostream>

using namespace std;

int main(void)
{
    ios::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    int n, x, y;

    cin >> n;
    for(int i = 0; i < n; i++)
        cin >> x >> y;

    cout << 0 << "\n";

    return 0;
}